Summary: AMS PS Fonts
Name: AMSPS
Version: 1.0
Release: 5
Copyright: American Mathematical Society
Group: Utilities/Printing
packager: Serge Droz (droz@physics.uoguelph.ca) 1998
Source0: ftp://ctan.tug.org/tex-archive/fonts/amsfonts/ps-type1/amsps-unix.tar.gz
Requires: tetex-dvips
BuildArchitectures: noarch
%description
The PostScript Type 1 implementation of the AMSFonts produced by and
previously distributed by Blue Sky Research and Y&Y, Inc. are now freely
available for general use. This has been accomplished through the cooperation
of a consortium of scientific publishers with Blue Sky Research and Y&Y.
Members of this consortium include:

Elsevier Science IBM Corporation Society for Industrial and Applied
Mathematics (SIAM) Springer-Verlag American Mathematical Society (AMS)

In order to assure the authenticity of these fonts, copyright will be held by
the American Mathematical Society. This is not meant to restrict in any way
the legitimate use of the fonts, such as (but not limited to) electronic
distribution of documents containing these fonts, inclusion of these fonts
into other public domain or commercial font collections or computer
applications, use of the outline data to create derivative fonts and/or
faces, etc. However, the AMS does require that the AMS copyright notice be
removed from any derivative versions of the fonts which have been altered in
any way. In addition, to ensure the fidelity of TeX documents using Computer
Modern fonts, Professor Donald Knuth, creator of the Computer Modern faces,
has requested that any alterations which yield different font metrics be
given a different name.

%changelog 
* Wed May 20 1998 Serge Droz <droz@physics.uoguelph.ca>

- Fixed post and unpost scripts so the permissions for config.ps
  would be set properly. Thanks to Robert Tennent <rdt@qucis.queensu.ca>
  for pointing all these omissons out to me.

* Tue May 19 1998 Serge Droz <droz@physics.uoguelph.ca>

- Font definitions are now included via the 
  p +name option. Makes installing and uninstaling a lot easier.
* Fri May 15 1998 Serge Droz <droz@physics.uoguelph.ca>

- Made unistall a bit safer + some cosmetics.


%prep
%setup -n amspsfnt

%build

%install
if [ ! -d /usr/lib/texmf/texmf/fonts/type1/ams ] ; then
  mkdir /usr/lib/texmf/texmf/fonts/type1/ams
fi
cp pfb/* /usr/lib/texmf/texmf/fonts/type1/ams
chown root:root /usr/lib/texmf/texmf/fonts/type1/ams/*
cp mapfiles/psfonts.amz /usr/lib/texmf/texmf/dvips/misc/
%post
TMPFILE=`mktemp config.ps.XXXXXX` || exit 1
gawk 'BEGIN {pap=1}                 \
      $2 == "+psfonts.amz" {next}   \
      $1 == "#AMS-Fonts" {next}\
      $1 ~/^@/ {if (pap) {print "#AMS-Fonts PS font encodings";print "p +psfonts.amz\n";pap=0}}\
               {print $0}'          \
       /usr/lib/texmf/texmf/dvips/config/config.ps >> $TMPFILE
mv -f $TMPFILE /usr/lib/texmf/texmf/dvips/config/config.ps
chmod 644 /usr/lib/texmf/texmf/dvips/config/config.ps
texhash
%preun
TMPFILE=`mktemp config.ps.XXXXXX` || exit 1
gawk '$2 == "+psfonts.amz" {next}     \
      $1 == "#AMS-Fonts" {next}
        {print $0}' \
       /usr/lib/texmf/texmf/dvips/config/config.ps >> $TMPFILE
mv -f $TMPFILE /usr/lib/texmf/texmf/dvips/config/config.ps
chmod 644 /usr/lib/texmf/texmf/dvips/config/config.ps
texhash
%files
/usr/lib/texmf/texmf/fonts/type1/ams/
/usr/lib/texmf/texmf/dvips/misc/psfonts.amz
%doc READ.ME
